%global rosdistro fuerte
%global stackname actionlib
Name:           ros-%{rosdistro}-%{stackname}
Version:        1.8.7
Release:        1%{?dist}
Summary:        Interface for interfacing with preemptable tasks

License:        BSD
URL:            http://ros.org/wiki/actionlib
# hg clone https://kforge.ros.org/common/actionlib
# cd actionlib; hg archive -t tbz2 ../actionlib-1.8.7.tar.bz2
Source0:        %{stackname}-%{version}.tar.bz2
Provides:       ros-%{stackname}%{?_isa} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  gtest-devel
BuildRequires:  log4cxx-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  ros-%{rosdistro}-catkin-devel
BuildRequires:  ros-%{rosdistro}-common-msgs-devel
BuildRequires:  ros-%{rosdistro}-gencpp-devel
BuildRequires:  ros-%{rosdistro}-genlisp-devel
BuildRequires:  ros-%{rosdistro}-genmsg-devel
BuildRequires:  ros-%{rosdistro}-genpy-devel
BuildRequires:  ros-%{rosdistro}-ros-devel
BuildRequires:  ros-%{rosdistro}-ros-comm-devel
BuildRequires:  ros-%{rosdistro}-roscpp-core-devel
BuildRequires:  ros-%{rosdistro}-std-msgs-devel

%description
The actionlib stack provides a standardized interface for interfacing with 
preemptable tasks. Examples of this include moving the base to a target 
location, performing a laser scan and returning the resulting point cloud, 
detecting the handle of a door, etc.

%package devel
Summary: Development headers for %{nme}
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: ros-%{stackname}-devel%{?_isa} = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q -n %{stackname}-%{version}

%build
source /opt/ros/%{rosdistro}/setup.sh
mkdir build
pushd build
cmake .. \
  -DSETUPTOOLS_DEB_LAYOUT=OFF \
  -DCMAKE_INSTALL_PREFIX=/opt/ros/fuerte
popd

%install
source /opt/ros/%{rosdistro}/setup.sh
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT


%files
%doc
%exclude /opt/ros/%{rosdistro}/share/%{stackname}/cmake
/opt/ros/%{rosdistro}/share/%{stackname}
/opt/ros/%{rosdistro}/share/common-lisp/ros/%{stackname}
/opt/ros/%{rosdistro}/lib/*.so
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/%{stackname}
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/*egg-info


%files devel
/opt/ros/%{rosdistro}/share/%{stackname}/cmake
/opt/ros/%{rosdistro}/include/%{stackname}
/opt/ros/%{rosdistro}/lib/pkgconfig/*.pc

%changelog
* Sun Jan 13 2013 Rich Mattes <richmattes@gmail.com> - 1.8.7-1
- Initial package

